GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdRequestType Class Reference

## Public Member Functions
String | getParcelShopId ()
void | setParcelShopId (String value)
GLSUserCredentials | getCredentials ()
void | setCredentials (GLSUserCredentials value)

## Protected Attributes
String | parcelShopId
GLSUserCredentials | credentials

## Detailed Description

Java class for GetParcelShopByIdRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="GetParcelShopByIdRequestType">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ParcelShopId" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}ParcelshopId"/>
            <element name="Credentials" type="{http://2010_01.ParcelShopSearch.gls-group.eu/ParcelShopSearch/}GLSUserCredentials"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 35 of file GetParcelShopByIdRequestType.java.

## Member Function Documentation

## ◆ getCredentials()

GLSUserCredentials eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdRequestType.getCredentials | ( |  | ) |

Gets the value of the credentials property.

Returns
  possible object is GLSUserCredentials

Definition at line 74 of file GetParcelShopByIdRequestType.java.

## ◆ getParcelShopId()

String eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdRequestType.getParcelShopId | ( |  | ) |

Gets the value of the parcelShopId property.

Returns
  possible object is String

Definition at line 50 of file GetParcelShopByIdRequestType.java.

## ◆ setCredentials()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdRequestType.setCredentials | ( | GLSUserCredentials | value | ) |

Sets the value of the credentials property.

Parameters

  value | allowed object is GLSUserCredentials

Definition at line 86 of file GetParcelShopByIdRequestType.java.

## ◆ setParcelShopId()

void eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdRequestType.setParcelShopId | ( | String | value | ) |

Sets the value of the parcelShopId property.

Parameters

  value | allowed object is String

Definition at line 62 of file GetParcelShopByIdRequestType.java.

## Member Data Documentation

## ◆ credentials

GLSUserCredentials eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdRequestType.credentials
| protected

Definition at line 40 of file GetParcelShopByIdRequestType.java.

## ◆ parcelShopId

String eu.glsgroup.ws.parcelshopsearch.GetParcelShopByIdRequestType.parcelShopId
| protected

Definition at line 38 of file GetParcelShopByIdRequestType.java.

The documentation for this class was generated from the following file:

- GetParcelShopByIdRequestType.java